// mainfrm.h : interface of the CMainFrame class
// Copyright (c) 1999 ID8 Media
// Written by Edwin P. Berlin, Jr., Secret Software
/////////////////////////////////////////////////////////////////////////////

class CMainFrame : public CFrameWnd
{
//protected:
public:				//Make public so we can create from CWinApp
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:
	CStatusBar  m_wndStatusBar;

// Operations
public:
	void UpdateState();
	void LoadCurrentActorFile();
	void CenterBox(float minx, float miny, float maxx, float maxy);

// Implementation
public:
	virtual ~CMainFrame() {}

// Generated message map functions
public:
	//{{AFX_MSG(CMainFrame)
	afx_msg void OnClose();
	afx_msg void OnFileOpen();
	afx_msg void OnPaint();
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveas();
	afx_msg void OnAppAbout();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnActionsCenterview();
	afx_msg void OnActionsPause();
	afx_msg void OnActionsPlay();
	afx_msg void OnActionsRecord();
	afx_msg void OnActionsStop();
	afx_msg void OnFileLoadactor();
	afx_msg void OnFileStoreactor();
	afx_msg void OnOptionsBvhfileoptions();
	afx_msg void OnActionsLive();
	afx_msg void OnOptionsInputoptions();
	afx_msg void OnOptionsShowaxes();
	afx_msg void OnOptionsShowcontactpoints();
	afx_msg void OnOptionsShownodenames();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnOptionsShownodes();
	afx_msg void OnActionsZeroview();
	afx_msg void OnOptionsLoop();
	afx_msg void OnOptionsZeroanglechannels();
	afx_msg void OnOptionsZeropositionchannels();
	afx_msg void OnActionsCentersequence();
	afx_msg void OnActionsDefaultModel();
	afx_msg void OnOptionsShowgrid();
	afx_msg void OnOptionsRendersolid();
	afx_msg void OnOptionsRenderwireframe();
	afx_msg void OnOptionsRendernothing();
	afx_msg void OnOptionsShowfootshadow();
	afx_msg void OnOptionsReportframerate();
	afx_msg void OnOptionsFollowcharacter();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnOptionsLookforsuit();
	afx_msg void OnOptionsIgnorelower();
	afx_msg void OnOptionsDisplayrawchannels();
	afx_msg void OnOptionsZeropotchannels();
	afx_msg void OnActionsRightview();
	afx_msg void OnOptionsIgnoreupperbody();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
